NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.Connections.SpotWeld Class Reference

Spot Weld connection. More...

Inheritance diagram for NXOpen.CAE.Connections.SpotWeld:
NXOpen.CAE.Connections.ILineDiscretization NXOpen.CAE.Connections.ILineOffset NXOpen.CAE.Connections.ILocationsWithDiscretizationContainer NXOpen.CAE.Connections.ILocationsMultiPointContainer NXOpen.CAE.Connections.ILocationsSinglePointContainer NXOpen.CAE.Connections.ILocationsContainer NXOpen.CAE.Connections.IFlangesContainer NXOpen.CAE.Connections.IHeight NXOpen.CAE.Connections.IDiameter NXOpen.CAE.Connections.ITolerance NXOpen.CAE.Connections.IMaterial NXOpen.CAE.Connections.IConnection

Public Member Functions

unsafe void AddFlangeEntities (int flangeIndex, NXOpen.TaggedObject[] entities)
 Add entities to flange. More...
 
unsafe
NXOpen.CAE.Connections.CoordinatesLocation 
AddLocationCoordinates (int indexOfDefinition, NXOpen.Point3d coordinates)
 Adds a coordinates location to connection location list More...
 
unsafe
NXOpen.CAE.Connections.CurveLocation 
AddLocationCurve (int indexOfDefinition, NXOpen.IBaseCurve curve)
 Adds a curve location to connection location list More...
 
unsafe
NXOpen.CAE.Connections.FeEdgesLocation 
AddLocationFeEdges (int indexOfDefinition, NXOpen.CAE.FEElemEdge[] edges)
 Adds Fe Edges to connection location list More...
 
unsafe
NXOpen.CAE.Connections.NodeLocation 
AddLocationNode (int indexOfDefinition, NXOpen.CAE.FENode node)
 Adds a node location to connection location list More...
 
unsafe
NXOpen.CAE.Connections.PointLocation 
AddLocationPoint (int indexOfDefinition, NXOpen.Point point)
 Adds a point location to connection location list More...
 
unsafe
NXOpen.CAE.Connections.SelectionRecipeLocation 
AddLocationSelectionRecipe (int indexOfDefinition, NXOpen.CAE.SelectionRecipe selectionRecipe)
 Adds a Selection Recipe to connection location list More...
 
unsafe
NXOpen.CAE.Connections.CoordinatesSeriesLocation 
AddLocationSeriesOfCoordinates (int indexOfDefinition, NXOpen.Point3d[] coordinates)
 Adds a series of coordinates location to connection location list More...
 
unsafe
NXOpen.CAE.Connections.NodeSeriesLocation 
AddLocationSeriesOfNodes (int indexOfDefinition, NXOpen.CAE.FENode[] nodes)
 Adds a series of nodes location to connection location list More...
 
unsafe
NXOpen.CAE.Connections.PointSeriesLocation 
AddLocationSeriesOfPoints (int indexOfDefinition, NXOpen.Point[] points)
 Adds a series of points location to connection location list More...
 
unsafe bool CanHaveNoMaterial ()
 Use this function to check if the connection supports having no material More...
 
unsafe bool CanInheritMaterial ()
 Use this function to check if the connection supports inherited material More...
 
unsafe
NXOpen.CAE.Connections.Location 
ConvertLocationToCoordinatesType (int indexOfDefinition, int index)
 Convert a location to coordinates. More...
 
unsafe NXOpen.TaggedObject[] GetFlangeEntities (int flangeIndex)
 Gets entities from flange. More...
 
unsafe
NXOpen.CAE.Connections.Location 
GetLocation (int indexOfDefinition, int indexOfLocation)
 Get a node location to connection location list More...
 
unsafe bool GetManualAdjustment ()
 Gets manual adjustent state. More...
 
unsafe NXOpen.Expression GetManualAdjustmentFactor ()
 Gets manual adjustent factor. More...
 
unsafe int GetMaxNumberOfFlanges ()
 Retrieve the max number of flanges supported by this connection More...
 
unsafe int GetMinNumberOfFlanges ()
 Retrieve the minimum number of flanges supported by this connection More...
 
unsafe int GetNumberOfDefinitions ()
 Gets the number of line offset definitions More...
 
unsafe int GetNumberOfLocations (int indexOfDefinition)
 Get a node location to connection location list More...
 
unsafe NXOpen.Expression GetOffsetDistance (int lindeDefinitionIndex)
 Gets the line offset distance More...
 
unsafe NXOpen.Direction GetOffsetVector (int lindeDefinitionIndex)
 Gets the line offset vector More...
 
unsafe
NXOpen.CAE.Connections.DiameterType[] 
GetSupportedDiameterTypes ()
 Gets supported diameter types of connection. More...
 
unsafe
NXOpen.CAE.Connections.HeightType[] 
GetSupportedHeightTypes ()
 Gets supported height types of connection. More...
 
unsafe bool IsInheritedMaterial ()
 Use this function to check if the connection inherits material from flanges More...
 
unsafe bool MoveLocation (int indexOfDefinition, int indexOfLocation, int numberOfPositions)
 Move the location by number of positions More...
 
unsafe void RemoveFlangeEntities (int flangeIndex, NXOpen.TaggedObject[] entities)
 Remove entities from flange. More...
 
unsafe void RemoveLocation (int indexOfDefinition, int indexOfLocation)
 Remove a location from connection location list More...
 
unsafe void SetInheritedMaterial ()
 Use this function to set inherited material to connection More...
 
unsafe void SetManualAdjustment (bool state)
 Sets manual adjustent state. More...
 
unsafe void SetOffsetVector (int lindeDefinitionIndex, NXOpen.Direction offsetvector)
 Sets the line offset vector More...
 

Properties

unsafe NXOpen.Expression Coefficient [get]
 Returns the coefficient for formula defined diameter More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the connection diameter More...
 
unsafe
NXOpen.CAE.Connections.DiameterType 
DiameterType [get, set]
 Returns or sets the connection diameter type More...
 
unsafe
NXOpen.CAE.Connections.DiscretizationMethod 
DiscretizationMethod [get, set]
 Returns or sets the discretization method More...
 
unsafe NXOpen.Expression DistanceFromStart [get]
 Returns the line Discretization distance from start More...
 
unsafe NXOpen.Expression DistanceToEnd [get]
 Returns the line Discretization distance to end More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height value More...
 
unsafe
NXOpen.CAE.Connections.HeightType 
HeightType [get, set]
 Returns or sets the connection height type More...
 
unsafe NXOpen.Expression LengthStep [get]
 Returns the line Discretization length step More...
 
unsafe NXOpen.PhysicalMaterial Material [get, set]
 Returns or sets the connection material More...
 
unsafe NXOpen.Expression MaxAngleBetweenNormals [get]
 Returns the maximum angle of normals with the projection surface More...
 
unsafe NXOpen.Expression MaxDistCGToElemCG [get]
 Returns the maximum distance from definition point to center of support element More...
 
unsafe NXOpen.Expression MaxLengthStep [get]
 Returns the line Discretization max length step More...
 
unsafe NXOpen.Expression MaxNormalDistCGToFlanges [get]
 Returns the maximum normal distance from definition point to center of element More...
 
unsafe int NumberOfDiscretizationPoints [get, set]
 Returns or sets the number of connections More...
 
unsafe int NumberOfFlanges [get, set]
 Returns or sets the number of flanges. More...
 
unsafe NXOpen.Expression ProjectTolerance [get]
 Returns the projection tolerance More...
 
unsafe string TableFile [get, set]
 Returns or sets the table file used to compute the diameter More...
 
unsafe bool UseMaxLengthStep [get, set]
 Returns or sets the usage of max length step More...
 
unsafe bool UseOriginalNodesOfConnection [get, set]
 Returns or sets the usage of original nodes of connection More...
 
- Properties inherited from NXOpen.CAE.Connections.IConnection
unsafe string UserDescription [get, set]
 Returns or sets the connection user description More...
 
- Properties inherited from NXOpen.DisplayableObject
unsafe int Color [get, set]
 Returns or sets the color of the object. More...
 
unsafe bool IsBlanked [get]
 Returns the blank status of this object. More...
 
unsafe int Layer [get, set]
 Returns or sets the layer that the object is in. More...
 
unsafe
NXOpen.DisplayableObject.ObjectFont 
LineFont [get, set]
 Returns or sets the line font of the object. More...
 
unsafe
NXOpen.DisplayableObject.ObjectWidth 
LineWidth [get, set]
 Returns or sets the line width of the object. More...
 
unsafe NXOpen.Point3d NameLocation [get]
 Returns the location of the object's name. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.CAE.Connections.IMaterial
NXOpen.PhysicalMaterial Material [get, set]
 Returns or sets the connection material More...
 
- Properties inherited from NXOpen.CAE.Connections.ITolerance
NXOpen.Expression MaxAngleBetweenNormals [get]
 Returns the maximum angle of normals with the projection surface More...
 
NXOpen.Expression MaxDistCGToElemCG [get]
 Returns the maximum distance from definition point to center of support element More...
 
NXOpen.Expression MaxNormalDistCGToFlanges [get]
 Returns the maximum normal distance from definition point to center of element More...
 
NXOpen.Expression ProjectTolerance [get]
 Returns the projection tolerance More...
 
- Properties inherited from NXOpen.CAE.Connections.IDiameter
NXOpen.Expression Coefficient [get]
 Returns the coefficient for formula defined diameter More...
 
NXOpen.Expression Diameter [get]
 Returns the connection diameter More...
 
NXOpen.CAE.Connections.DiameterType DiameterType [get, set]
 Returns or sets the connection diameter type More...
 
string TableFile [get, set]
 Returns or sets the table file used to compute the diameter More...
 
- Properties inherited from NXOpen.CAE.Connections.IHeight
NXOpen.Expression Height [get]
 Returns the height value More...
 
NXOpen.CAE.Connections.HeightType HeightType [get, set]
 Returns or sets the connection height type More...
 
- Properties inherited from NXOpen.CAE.Connections.IFlangesContainer
int NumberOfFlanges [get, set]
 Returns or sets the number of flanges. More...
 
- Properties inherited from NXOpen.CAE.Connections.ILineDiscretization
NXOpen.CAE.Connections.DiscretizationMethod DiscretizationMethod [get, set]
 Returns or sets the discretization method More...
 
NXOpen.Expression DistanceFromStart [get]
 Returns the line Discretization distance from start More...
 
NXOpen.Expression DistanceToEnd [get]
 Returns the line Discretization distance to end More...
 
NXOpen.Expression LengthStep [get]
 Returns the line Discretization length step More...
 
NXOpen.Expression MaxLengthStep [get]
 Returns the line Discretization max length step More...
 
int NumberOfDiscretizationPoints [get, set]
 Returns or sets the number of connections More...
 
bool UseMaxLengthStep [get, set]
 Returns or sets the usage of max length step More...
 
bool UseOriginalNodesOfConnection [get, set]
 Returns or sets the usage of original nodes of connection More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.DisplayableObject
enum  ObjectFont {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, LongDashed, DottedDashed, Eight = 11,
  Nine, Ten, Eleven
}
 specifies the object font for objects such as lines More...
 
enum  ObjectWidth {
  Normal, Thick, Thin, One = 5,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 specifies object width for objects such as lines and text More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Spot Weld connection.

Use this interface to set/get properties and parameters of the spot weld connection.

Created in NX12.0.0

Member Function Documentation

unsafe void NXOpen.CAE.Connections.SpotWeld.AddFlangeEntities ( int  flangeIndex,
NXOpen.TaggedObject[]  entities 
)
inline

Add entities to flange.

Changes are not applied till an update is performed by calling Update.DoUpdate

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
flangeIndex
entitiesFlange entities

Implements NXOpen.CAE.Connections.IFlangesContainer.

unsafe NXOpen.CAE.Connections.CoordinatesLocation NXOpen.CAE.Connections.SpotWeld.AddLocationCoordinates ( int  indexOfDefinition,
NXOpen.Point3d  coordinates 
)
inline

Adds a coordinates location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
coordinatesCoordinates
Returns
The created coordinates type location

Implements NXOpen.CAE.Connections.ILocationsSinglePointContainer.

unsafe NXOpen.CAE.Connections.CurveLocation NXOpen.CAE.Connections.SpotWeld.AddLocationCurve ( int  indexOfDefinition,
NXOpen.IBaseCurve  curve 
)
inline

Adds a curve location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinition
curveCurve used for location creation
Returns
The created curve type location

Implements NXOpen.CAE.Connections.ILocationsWithDiscretizationContainer.

unsafe NXOpen.CAE.Connections.FeEdgesLocation NXOpen.CAE.Connections.SpotWeld.AddLocationFeEdges ( int  indexOfDefinition,
NXOpen.CAE.FEElemEdge[]  edges 
)
inline

Adds Fe Edges to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinition
edgesEdges used for location
Returns
The created edge group type location

Implements NXOpen.CAE.Connections.ILocationsWithDiscretizationContainer.

unsafe NXOpen.CAE.Connections.NodeLocation NXOpen.CAE.Connections.SpotWeld.AddLocationNode ( int  indexOfDefinition,
NXOpen.CAE.FENode  node 
)
inline

Adds a node location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
nodeNode used for location
Returns
The node type location

Implements NXOpen.CAE.Connections.ILocationsSinglePointContainer.

unsafe NXOpen.CAE.Connections.PointLocation NXOpen.CAE.Connections.SpotWeld.AddLocationPoint ( int  indexOfDefinition,
NXOpen.Point  point 
)
inline

Adds a point location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
pointPoint used for location creation
Returns
The created point type location

Implements NXOpen.CAE.Connections.ILocationsSinglePointContainer.

unsafe NXOpen.CAE.Connections.SelectionRecipeLocation NXOpen.CAE.Connections.SpotWeld.AddLocationSelectionRecipe ( int  indexOfDefinition,
NXOpen.CAE.SelectionRecipe  selectionRecipe 
)
inline

Adds a Selection Recipe to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
selectionRecipeSelection Recipe used for location creation
Returns
The created selection recipe type location

Implements NXOpen.CAE.Connections.ILocationsMultiPointContainer.

unsafe NXOpen.CAE.Connections.CoordinatesSeriesLocation NXOpen.CAE.Connections.SpotWeld.AddLocationSeriesOfCoordinates ( int  indexOfDefinition,
NXOpen.Point3d[]  coordinates 
)
inline

Adds a series of coordinates location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinition
coordinatesThe location coordinates
Returns
The coordinates series type location

Implements NXOpen.CAE.Connections.ILocationsWithDiscretizationContainer.

unsafe NXOpen.CAE.Connections.NodeSeriesLocation NXOpen.CAE.Connections.SpotWeld.AddLocationSeriesOfNodes ( int  indexOfDefinition,
NXOpen.CAE.FENode[]  nodes 
)
inline

Adds a series of nodes location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
nodesNodes used for location
Returns
The node series type location

Implements NXOpen.CAE.Connections.ILocationsWithDiscretizationContainer.

unsafe NXOpen.CAE.Connections.PointSeriesLocation NXOpen.CAE.Connections.SpotWeld.AddLocationSeriesOfPoints ( int  indexOfDefinition,
NXOpen.Point[]  points 
)
inline

Adds a series of points location to connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
pointsPoints used for location
Returns
The point series type location

Implements NXOpen.CAE.Connections.ILocationsWithDiscretizationContainer.

unsafe bool NXOpen.CAE.Connections.SpotWeld.CanHaveNoMaterial ( )
inline

Use this function to check if the connection supports having no material

Created in NX12.0.0

License requirements: None.

Returns

Implements NXOpen.CAE.Connections.IMaterial.

unsafe bool NXOpen.CAE.Connections.SpotWeld.CanInheritMaterial ( )
inline

Use this function to check if the connection supports inherited material

Created in NX12.0.0

License requirements: None.

Returns

Implements NXOpen.CAE.Connections.IMaterial.

unsafe NXOpen.CAE.Connections.Location NXOpen.CAE.Connections.SpotWeld.ConvertLocationToCoordinatesType ( int  indexOfDefinition,
int  index 
)
inline

Convert a location to coordinates.

The location is given by its index

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
indexThe location index
Returns
The created coordinates type location

Implements NXOpen.CAE.Connections.ILocationsContainer.

unsafe NXOpen.TaggedObject [] NXOpen.CAE.Connections.SpotWeld.GetFlangeEntities ( int  flangeIndex)
inline

Gets entities from flange.

These can be meshes, elements, groups.

Created in NX12.0.0

License requirements: None.

Parameters
flangeIndex
Returns
Flange entities

Implements NXOpen.CAE.Connections.IFlangesContainer.

unsafe NXOpen.CAE.Connections.Location NXOpen.CAE.Connections.SpotWeld.GetLocation ( int  indexOfDefinition,
int  indexOfLocation 
)
inline

Get a node location to connection location list

Created in NX12.0.0

License requirements: None.

Parameters
indexOfDefinitionThe index of definition
indexOfLocationThe location index
Returns
The location

Implements NXOpen.CAE.Connections.ILocationsContainer.

unsafe bool NXOpen.CAE.Connections.SpotWeld.GetManualAdjustment ( )
inline

Gets manual adjustent state.

Created in NX1872.0.0

License requirements: None.

Returns

Implements NXOpen.CAE.Connections.IDiameter.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.GetManualAdjustmentFactor ( )
inline

Gets manual adjustent factor.

Created in NX1872.0.0

License requirements: None.

Returns

Implements NXOpen.CAE.Connections.IDiameter.

unsafe int NXOpen.CAE.Connections.SpotWeld.GetMaxNumberOfFlanges ( )
inline

Retrieve the max number of flanges supported by this connection

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns

Implements NXOpen.CAE.Connections.IFlangesContainer.

unsafe int NXOpen.CAE.Connections.SpotWeld.GetMinNumberOfFlanges ( )
inline

Retrieve the minimum number of flanges supported by this connection

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns

Implements NXOpen.CAE.Connections.IFlangesContainer.

unsafe int NXOpen.CAE.Connections.SpotWeld.GetNumberOfDefinitions ( )
inline

Gets the number of line offset definitions

Created in NX12.0.0

License requirements: None.

Returns
The number of definitions

Implements NXOpen.CAE.Connections.ILocationsContainer.

unsafe int NXOpen.CAE.Connections.SpotWeld.GetNumberOfLocations ( int  indexOfDefinition)
inline

Get a node location to connection location list

Created in NX12.0.0

License requirements: None.

Parameters
indexOfDefinitionThe index of definition
Returns
The number of locations

Implements NXOpen.CAE.Connections.ILocationsContainer.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.GetOffsetDistance ( int  lindeDefinitionIndex)
inline

Gets the line offset distance

Created in NX12.0.0

License requirements: None.

Parameters
lindeDefinitionIndex
Returns

Implements NXOpen.CAE.Connections.ILineOffset.

unsafe NXOpen.Direction NXOpen.CAE.Connections.SpotWeld.GetOffsetVector ( int  lindeDefinitionIndex)
inline

Gets the line offset vector

Created in NX12.0.0

License requirements: None.

Parameters
lindeDefinitionIndex
Returns

Implements NXOpen.CAE.Connections.ILineOffset.

unsafe NXOpen.CAE.Connections.DiameterType [] NXOpen.CAE.Connections.SpotWeld.GetSupportedDiameterTypes ( )
inline

Gets supported diameter types of connection.

Created in NX12.0.0

License requirements: None.

Returns
Supported CSys Types

Implements NXOpen.CAE.Connections.IDiameter.

unsafe NXOpen.CAE.Connections.HeightType [] NXOpen.CAE.Connections.SpotWeld.GetSupportedHeightTypes ( )
inline

Gets supported height types of connection.

Created in NX12.0.0

License requirements: None.

Returns
Supported CSys Types

Implements NXOpen.CAE.Connections.IHeight.

unsafe bool NXOpen.CAE.Connections.SpotWeld.IsInheritedMaterial ( )
inline

Use this function to check if the connection inherits material from flanges

Created in NX12.0.0

License requirements: None.

Returns

Implements NXOpen.CAE.Connections.IMaterial.

unsafe bool NXOpen.CAE.Connections.SpotWeld.MoveLocation ( int  indexOfDefinition,
int  indexOfLocation,
int  numberOfPositions 
)
inline

Move the location by number of positions

Created in NX12.0.0

License requirements: None.

Parameters
indexOfDefinitionThe index of definition
indexOfLocationThe index of location
numberOfPositionsThe number of positions to move the location
Returns
The operation result

Implements NXOpen.CAE.Connections.ILocationsContainer.

unsafe void NXOpen.CAE.Connections.SpotWeld.RemoveFlangeEntities ( int  flangeIndex,
NXOpen.TaggedObject[]  entities 
)
inline

Remove entities from flange.

Changes are not applied till an update is performed by calling Update.DoUpdate

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
flangeIndex
entitiesFlange entities

Implements NXOpen.CAE.Connections.IFlangesContainer.

unsafe void NXOpen.CAE.Connections.SpotWeld.RemoveLocation ( int  indexOfDefinition,
int  indexOfLocation 
)
inline

Remove a location from connection location list

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
indexOfDefinitionThe index of definition
indexOfLocationThe location index

Implements NXOpen.CAE.Connections.ILocationsContainer.

unsafe void NXOpen.CAE.Connections.SpotWeld.SetInheritedMaterial ( )
inline

Use this function to set inherited material to connection

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Implements NXOpen.CAE.Connections.IMaterial.

unsafe void NXOpen.CAE.Connections.SpotWeld.SetManualAdjustment ( bool  state)
inline

Sets manual adjustent state.

Created in NX1872.0.0

License requirements: None.

Parameters
state

Implements NXOpen.CAE.Connections.IDiameter.

unsafe void NXOpen.CAE.Connections.SpotWeld.SetOffsetVector ( int  lindeDefinitionIndex,
NXOpen.Direction  offsetvector 
)
inline

Sets the line offset vector

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
lindeDefinitionIndex
offsetvector

Implements NXOpen.CAE.Connections.ILineOffset.

Property Documentation

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.Coefficient
get

Returns the coefficient for formula defined diameter

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.Diameter
get

Returns the connection diameter

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.CAE.Connections.DiameterType NXOpen.CAE.Connections.SpotWeld.DiameterType
getset

Returns or sets the connection diameter type

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.Connections.DiscretizationMethod NXOpen.CAE.Connections.SpotWeld.DiscretizationMethod
getset

Returns or sets the discretization method

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.DistanceFromStart
get

Returns the line Discretization distance from start

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.DistanceToEnd
get

Returns the line Discretization distance to end

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.Height
get

Returns the height value

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.CAE.Connections.HeightType NXOpen.CAE.Connections.SpotWeld.HeightType
getset

Returns or sets the connection height type

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.LengthStep
get

Returns the line Discretization length step

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.PhysicalMaterial NXOpen.CAE.Connections.SpotWeld.Material
getset

Returns or sets the connection material

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.MaxAngleBetweenNormals
get

Returns the maximum angle of normals with the projection surface

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.MaxDistCGToElemCG
get

Returns the maximum distance from definition point to center of support element

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.MaxLengthStep
get

Returns the line Discretization max length step

Created in NX12.0.0

Deprecated in NX1847.0.0. This functionality is no longer supported.

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.MaxNormalDistCGToFlanges
get

Returns the maximum normal distance from definition point to center of element

Created in NX11.0.0

License requirements: None.

unsafe int NXOpen.CAE.Connections.SpotWeld.NumberOfDiscretizationPoints
getset

Returns or sets the number of connections

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.Connections.SpotWeld.NumberOfFlanges
getset

Returns or sets the number of flanges.

When changing the number of flanges this is not applied till an update is performed by calling Update.DoUpdate

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.Connections.SpotWeld.ProjectTolerance
get

Returns the projection tolerance

Created in NX11.0.0

License requirements: None.

unsafe string NXOpen.CAE.Connections.SpotWeld.TableFile
getset

Returns or sets the table file used to compute the diameter

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.Connections.SpotWeld.UseMaxLengthStep
getset

Returns or sets the usage of max length step

Created in NX12.0.0

Deprecated in NX1847.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.Connections.SpotWeld.UseOriginalNodesOfConnection
getset

Returns or sets the usage of original nodes of connection

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.